### Method

# Atk Component get_position

deprecated: Unknown

#### Declaration [src]

    void
    atk_component_get_position (
      AtkComponent* component,
      gint* x,
      gint* y,
      AtkCoordType coord_type
    )

#### Description [src]

Gets the position of `component` in the form of a point specifying `component`‘s top-left corner.

If the position can not be obtained (e.g. a non-embedded plug or missing support), x and y are set to -1.

Deprecated since: Unknown

Since 2.12. Use `atk_component_get_extents()` instead.

#### Parameters

`x`

  Type: `gint*`

  Address of #gint to put x coordinate position.

  The argument will be set by the function.
  The argument can be `NULL`.

`y`

  Type: `gint*`

  Address of #gint to put y coordinate position.

  The argument will be set by the function.
  The argument can be `NULL`.

`coord_type`

  Type: `AtkCoordType`

  Specifies whether the coordinates are relative to the screen or to the components top level window.